Type to search.

Resume a workflow execution

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Resume a paused workflow execution with the provided input.

Required privileges

Privileges workflowsManagement:execute

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

executionId string · max length: 255 required

Workflow execution ID

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

input map string to object required

Input data to resume the execution with.

stepExecutionId string · min length: 1 · max length: 1024

Step execution ID of the HITL wait to claim. When omitted, the server looks up the waiting step.

Response

200

Indicates a successful response

application/json